/**
 * Copyright 2010 Justin Hickman
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * 
 */
package com.jhickman.web.gwt.gxtuibinder.client;

/**
 * An enum version of the Events constant class.
 *
 * <p>This enum is used for code generation, so
 * the enum values must match the constants in 
 * {@link Events}. 
 * 
 * @author hickman
 *
 */
public enum GxtEvent {
	Activate,
	Add,
	Adopt,
	AfterEdit,
	AfterLayout,
	ArrowClick,
	Attach,
	AutoHide,
	BeforeAdd,
	BeforeAdopt,
	BeforeBind,
	BeforeCancelEdit,
	BeforeChange,
	BeforeCheckChange,
	BeforeClose,
	BeforeCollapse,
	BeforeComplete,
	BeforeEdit,
	BeforeExpand,
	BeforeHide,
	BeforeLayout,
	BeforeOpen,
	BeforeOrphan,
	BeforeQuery,
	BeforeRemove,
	BeforeRender,
	BeforeSelect,
	BeforeShow,
	BeforeStartEdit,
	BeforeStateRestore,
	BeforeStateSave,
	BeforeSubmit,
	Bind,
	Blur,
	BodyScroll,
	BrowserEvent,
	CancelEdit,
	CellClick,
	CellDoubleClick,
	CellMouseDown,
	CellMouseUp,
	Change,
	CheckChange,
	CheckChanged,
	Clear,
	Close,
	Collapse,
	ColumnClick,
	ColumnMove,
	ColumnResize,
	Complete,
	ContextMenu,
	Deactivate,
	Detach,
	Disable,
	DoubleClick,
	DragCancel,
	DragEnd,
	DragEnter,
	DragFail,
	DragLeave,
	DragMove,
	DragStart,
	Drop,
	EffectCancel,
	EffectComplete,
	EffectStart,
	Enable,
	Exception,
	Expand,
	Focus,
	HeaderChange,
	HeaderClick,
	HeaderContextMenu,
	HeaderDoubleClick,
	HeaderMouseDown,
	HiddenChange,
	Hide,
	Invalid,
	KeyDown,
	KeyPress,
	KeyUp,
	LiveGridViewUpdate,
	Maximize,
	MenuHide,
	MenuShow,
	Minimize,
	Move,
	OnBlur,
	OnChange,
	OnClick,
	OnContextMenu,
	OnDoubleClick,
	OnError,
	OnFocus,
	OnKeyDown,
	OnKeyPress,
	OnKeyUp,
	OnLoad,
	OnLoseCapture,
	OnMouseDown,
	OnMouseMove,
	OnMouseOut,
	OnMouseOver,
	OnMouseUp,
	OnMouseWheel,
	OnPaste,
	OnScroll,
	Open,
	Orphan,
	Ready,
	Reconfigure,
	Refresh,
	Register,
	Remove,
	Render,
	Resize,
	ResizeEnd,
	ResizeStart,
	Restore,
	RowClick,
	RowDoubleClick,
	RowMouseDown,
	RowMouseUp,
	RowUpdated,
	Scroll,
	Select,
	SelectionChange,
	Serialize,
	Show,
	SortChange,
	SpecialKey,
	StartEdit,
	StateChange,
	StateRestore,
	StateSave,
	Submit,
	Toggle,
	TriggerClick,
	TwinTriggerClick,
	UnBind,
	Unregister,
	Update,
	Valid,
	ValidateDrop,
	ValidateEdit,
	ViewReady,
	WidthChange
}
